{ config, pkgs, ... }:

{
  imports = [ ./common.nix ];

  users.motd = builtins.readFile ./motd;

  networking.domain = "hq.c3d2.de";

  nix = if config.services.nix-serve.enable then
    { }
  else {
    binaryCaches = [ "https://nix-serve.hq.c3d2.de" ];
    binaryCachePublicKeys =
      [ "nix-serve.hq.c3d2.de:FEi9GyFkou1Ua8INaEKmuGaww9E5y3XwrNGNRfKYeLo=" ];
  };

}
